(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_mapping pp_a ppf = function
  | a_u_t -> Umatrix_graph_print.print_t pp_a ppf a_u_t

and print_sub_mapping pp_a ppf = function
  | a_u_t -> Umatrix_graph_print.print_t pp_a ppf a_u_t
;;

let print_partition pp_a ppf = function
  | a_s_a -> Lib_print.print_Array (print_sub_mapping pp_a) ppf a_s_a
;;

let print_block_number ppf = function
  | u_a -> Udelayed_dgraph_print.print_arrow_number ppf u_a
;;

let print_block pp_a pp_b ppf = function
  | a_s_b_u_d ->
    Udelayed_dgraph_print.print_delayed_arrow (print_sub_mapping pp_a) pp_b
     ppf a_s_b_u_d
;;

let print_t pp_a pp_b pp_c ppf = function
  | a_s_b_c_u_t ->
    Udelayed_dgraph_print.print_t (print_sub_mapping pp_a) pp_b pp_c ppf
     a_s_b_c_u_t
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
